net.dontdrinkandroot.lastfm.api.cache

## Class DiskCacheEntry

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.cache.DiskCacheEntry

All Implemented Interfaces:
  Serializable

    public class DiskCacheEntry
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DiskCacheEntry(Serializable data, long expiry)`

### Method Summary

Methods
`Serializable` `getData()`
`long` `getExpiry()`
`boolean` `isExpired()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiskCacheEntry

    public DiskCacheEntry(Serializable data,
                  long expiry)

### Method Detail

#### getData

    public Serializable getData()

#### getExpiry

    public long getExpiry()

#### isExpired

    public boolean isExpired()